<ion-header>
  <ion-toolbar>
    <ion-buttons slot="end">
      <ion-button routerLink="/login" routerDirection="back">
        <ion-icon name="arrow-back-circle-outline"></ion-icon>
      </ion-button>

    </ion-buttons>
    <ion-buttons slot="start">
      <div>
        <img class="image" src="assets/images/4Home2.png">
      </div>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-item lines="none">
    <div class="divider"></div>
  </ion-item>
  <ion-item lines="none">
    <ion-title class="ion-text-center title">Registro</ion-title>
  </ion-item>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">

    <ion-list>
      <ion-item>
        <ion-label>Tipo de Cliente</ion-label>
        <ion-select mode="ios" placeholder="Sin seleccion" formControlName="customer_type" interface="action-sheet">
          <ion-select-option *ngFor="let customer of customerTypes"
                             [value]="customer.value">{{customer.label}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item *ngIf="submitted && form.get('customer_type').hasError('required')">
        <ion-col size="12">
          <ion-chip color="danger">
            <ion-label>Seleccione un tipo de cliente</ion-label>
          </ion-chip>
        </ion-col>
      </ion-item>
      <ion-grid>
        <ion-item-group class="ion-text-center">
          <div class="divider-text">Datos de identificación</div>
          <ion-list-header>
            Documento
          </ion-list-header>
          <ion-row>
            <ion-col size="12">
              <ion-select mode="ios" placeholder="Tipo de identificación" formControlName="type_document" interface="action-sheet">
                <ion-select-option *ngFor="let identity of documentTypes"
                                   [value]="identity.value">{{identity.label}}</ion-select-option>
              </ion-select>
            </ion-col>
            <ion-col size="12" *ngIf="submitted && form.get('type_document').hasError('required')">
              <ion-chip color="danger">
                <ion-label>Ingrese un tipo de identificación</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12">
              <ion-item>
                <ion-input mode="md" type="tel" placeholder="Numero de documento" formControlName="identification"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="12" *ngIf="submitted && form.get('identification').hasError('required')">
              <ion-chip color="danger">
                <ion-label>La identificación es requerida</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12"
                     *ngIf="form.get('identification').hasError('pattern') && form.get('identification').touched">
              <ion-chip color="danger">
                <ion-label>Digite unicamente números</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12" *ngIf="flagIden && form.get('identification').touched">
              <ion-chip color="danger">
                <ion-label>Identificación ya registrada</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12"
                     *ngIf="!flagIden && form.get('identification').touched && !form.get('identification').hasError('pattern')">
              <ion-chip color="success">
                <ion-label>La identificación esta disponible!</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
          <ion-list-header>
            Nombre
          </ion-list-header>
          <ion-row>
            <ion-col size="6">
              <ion-item>
                <ion-input mode="md" type="text" placeholder="Nombres" formControlName="name"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="6">
              <ion-item>
                <ion-input mode="md" type="text" placeholder="Apellidos" formControlName="lastname"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="12"
                     *ngIf="submitted && (form.get('name').hasError('required') || form.get('lastname').hasError('required'))">
              <ion-chip color="danger">
                <ion-label>Ingrese su nombre y apellido</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
        </ion-item-group>
        <ion-item-group class="ion-text-center">
          <div class="divider-text">Datos de identificación</div>
          <ion-list-header>
            E-Mail
          </ion-list-header>
          <ion-row>
            <ion-col size="12">
              <ion-item>
                <ion-input mode="md" type="email"
                           placeholder="example@example.com"
                           formControlName="email">
                </ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="12" *ngIf="submitted && form.get('email').hasError('required')">
              <ion-chip color="danger">
                <ion-label>Ingrese un correo</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12" *ngIf="form.get('email').hasError('pattern') && form.get('email').touched">
              <ion-chip color="danger">
                <ion-label>Email no valido</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12" *ngIf="flagEmail">
              <ion-chip color="danger">
                <ion-label>Email no disponible</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
          <ion-list-header>
            Número de Contacto
          </ion-list-header>
          <ion-row>
            <ion-col size="6">
              <ion-item>
                <ion-input mode="md" inputmode="tel" placeholder="Movil" formControlName="mobile"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="6">
              <ion-item>
                <ion-input mode="md" inputmode="tel" placeholder="Fijo" formControlName="phone"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="12" *ngIf="form.get('mobile').hasError('pattern') && form.get('mobile').touched ||
             form.get('phone').hasError('pattern') && form.get('phone').touched">
              <ion-chip color="danger">
                <ion-label>Digite unicamente números</ion-label>
              </ion-chip>
            </ion-col>
            <ion-col size="12"
                     *ngIf="submitted && (form.get('mobile').hasError('required') || form.get('phone').hasError('required'))">
              <ion-chip color="danger">
                <ion-label>Ingrese su número movil y fijo</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
          <ion-list-header>
            Contraseña
          </ion-list-header>
          <ion-row>
            <ion-col size="6">
              <ion-item>
                <ion-icon [name]="showpassword ? 'eye-off-outline' : 'eye-outline'" name="eye-outline" slot="end"
                          (click)="showpassword = !showpassword"></ion-icon>
                <ion-input mode="md" (ionFocus)="viewMessage()" [type]="showpassword ? 'text' : 'password'" placeholder="Contraseña"
                           formControlName="password"
                ></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="6">
              <ion-item>
                <ion-icon [name]="showpasswordConfirm ? 'eye-off-outline' : 'eye-outline'" name="eye-outline" slot="end"
                          (click)="showpasswordConfirm = !showpasswordConfirm"></ion-icon>
                <ion-input mode="md" [type]="showpasswordConfirm ? 'text' : 'password'" placeholder="Confirmar Contraseña"
                           formControlName="password_confirmation"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="12"
                     *ngIf="submitted && (form.get('password').hasError('required') || form.get('password_confirmation').hasError('required'))">
              <ion-chip color="danger">
                <ion-label>Ingrese una contraseña</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
          <ion-row *ngIf="this.form.controls.password.value">
            <ion-col>
              <ion-item class="item-no-border">
                <ion-chip color="danger" *ngIf="debil">
                  <ion-icon name="lock-open-outline" color="danger"></ion-icon>
                  <ion-label>Debil</ion-label>
                </ion-chip>
                <ion-chip color="warning" *ngIf="media">
                  <ion-icon name="lock-open-outline" color="warning"></ion-icon>
                  <ion-label>Media</ion-label>
                </ion-chip>
                <ion-chip color="success" *ngIf="alta">
                  <ion-icon name="lock-closed-outline" color="success"></ion-icon>
                  <ion-label>Segura</ion-label>
                </ion-chip>
              </ion-item>
            </ion-col>
          </ion-row>
          <ion-list-header>
            Nombre de Contacto
          </ion-list-header>
          <ion-row>
            <ion-col>
              <ion-item>
                <ion-input mode="md" type="text" placeholder="Nombre y/o Alias" formControlName="contact_name"></ion-input>
              </ion-item>
            </ion-col>
            <ion-col size="12" *ngIf="submitted && form.get('contact_name').hasError('required')">
              <ion-chip color="danger">
                <ion-label>Ingrese un nombre de contacto</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
        </ion-item-group>
        <ion-item-group class="ion-text-center">
          <div class="divider-text">Datos de Geográficos</div>
          <ion-list-header>
            Dirección de Facturación
          </ion-list-header>
          <ion-row>
            <ion-col>
              <ion-item>
                <ion-input mode="md" type="text" placeholder="Dirección" formControlName="billing_address"></ion-input>
              </ion-item>
            </ion-col>
          </ion-row>
          <ion-toolbar mode="md">
            <ion-buttons slot="secondary">
              <ion-button *ngIf="!addAddress && !editAddress" (click)="newAddress();">
                <ion-icon color="" slot="icon-only" name="add-circle-outline"></ion-icon>
              </ion-button>
              <ion-button *ngIf="addAddress && !editAddress" (click)="saveAddress();">
                <ion-icon slot="icon-only" name="checkmark-circle-outline"></ion-icon>
              </ion-button>
              <ion-button *ngIf="!addAddress && editAddress" (click)="updateAddress();">
                <ion-icon slot="icon-only" name="refresh-circle-outline"></ion-icon>
              </ion-button>
              <ion-button *ngIf="addAddress || editAddress" (click)="cancelAddress();">
                <ion-icon slot="icon-only" name="close-circle-outline"></ion-icon>
              </ion-button>
            </ion-buttons>
            <ion-title>Dirección de Servicio</ion-title>
          </ion-toolbar>
          <ion-row *ngIf="addAddress || editAddress">
            <ion-col>
              <ion-item>
                <ion-input mode="md" type="text" placeholder="Dirección" name="address" formControlName="address"></ion-input>
              </ion-item>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-item-sliding formArrayName="addresses" *ngFor="let address of addressesArray.controls;let i=index">
                <ion-item>
                  <ion-label>Direccion {{i + 1}}: {{ address.value.address }}</ion-label>
                </ion-item>
                <ion-item-options side="end">
                  <ion-item-option (click)="cancelAddress();">
                    <ion-icon slot="icon-only" name="close-circle-outline"></ion-icon>
                  </ion-item-option>
                  <ion-item-option (click)="removeAddress(address);" color="danger">
                    <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
                  </ion-item-option>
                  <ion-item-option (click)="getAddress(address)" color="success">
                    <ion-icon slot="icon-only" name="refresh-circle-outline"></ion-icon>
                  </ion-item-option>
                </ion-item-options>
              </ion-item-sliding>
            </ion-col>
          </ion-row>
          <ion-row *ngIf="addressesArray.controls.length === 0 && !addAddress">
            <ion-col>
              <ion-chip color="danger">
                <ion-label>Las direcciones son requeridas</ion-label>
              </ion-chip>
            </ion-col>
          </ion-row>
        </ion-item-group>
      </ion-grid>

    </ion-list>

    <ion-button class="ion-margin" expand="block" type="submit">
      {{btnRegister}}
    </ion-button>

  </form>
  <!--<form *ngIf="!register" #formulario2="ngForm" (ngSubmit)="onSubmit(formulario2)" class="padding-top">
    <ion-list>
      <ion-item>
        <ion-thumbnail slot="start">
          <img src="assets/images/user.svg" class="animated  fadeIn">
        </ion-thumbnail>
        <ion-list-header mode="ios">
          <ion-label>Recordar Contraseña</ion-label>
        </ion-list-header>
      </ion-item>
    </ion-list>
    <ion-list>
      <ion-list-header mode="md">
        <ion-label>Ingrese su cuenta de usuario</ion-label>
      </ion-list-header>
      <ion-item>
        <ion-label position="floating">Correo:</ion-label>
        <ion-input type="email"
                   name="email"
                   [(ngModel)]="dataRecover.email"
                   pattern="^([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$"
        >
        </ion-input>
      </ion-item>
    </ion-list>

    <ion-button class="ion-margin" expand="block" type="submit" [disabled]="formulario2.invalid">
      Continuar
    </ion-button>

  </form>-->
</ion-content>
